Page MenuHomePhabricator

Provide some love to the Quiz extension
Closed, ResolvedPublic

Description

The Quiz extension was created by a volunteer and is currently installed on several WMF projects, such as Wikiversity. However, it is not under active development and there are a number of reported bugs as well as requested features.

There are a number of tasks that should be done to improve the extension:

Getting started

Install mediawiki locally. It is easiest (often) to use vagrant for this. Enable Quiz as a role.

You can test that the extension is working by adding a sample quiz to your test wiki in wikitext. The quiz syntax is well documented here.

You can find the quiz extension in the vagrant repository by navigating to mediawiki/extensions/Quiz. If you haven't already, you will need to set up git, gerrit, and git-review, and install a gerrit hook to begin submitting commits to the Quiz extension.

Internship project details

Related Objects

StatusAssignedTask
ResolvedNone
InvalidNone
ResolvedHarjotsingh
ResolvedHarjotsingh
ResolvedHarjotsingh
DeclinedHarjotsingh
ResolvedHarjotsingh
ResolvedHarjotsingh
DeclinedHarjotsingh
DeclinedHarjotsingh
DeclinedHarjotsingh
ResolvedHarjotsingh
ResolvedNone
OpenNone
DeclinedHarjotsingh
ResolvedHarjotsingh
InvalidHarjotsingh
InvalidNone
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2016, 2:32 PM
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)Oct 24 2016, 2:36 PM
Mvolz updated the task description. (Show Details)Oct 24 2016, 2:38 PM
Mvolz triaged this task as Medium priority.Oct 26 2016, 11:36 AM
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)Oct 26 2016, 11:41 AM
Mvolz updated the task description. (Show Details)Oct 26 2016, 7:07 PM

I'm interested to work on this for gsoc 2017 if possible.
I worked on T40372 and it is resolved now.
Please suggest some more microtasks.

Mvolz added a comment.Nov 6 2016, 11:05 AM

I'm interested to work on this for gsoc 2017 if possible.
I worked on T40372 and it is resolved now.
Please suggest some more microtasks.

That's pretty early! :D. There is one other task listed.

You could also get started on importing the bugs from the wiki page into phabricator... there are probably a few bugs in there that would make good microtasks.

Mvolz updated the task description. (Show Details)Nov 8 2016, 12:50 PM
Mvolz updated the task description. (Show Details)Jan 5 2017, 12:42 PM

@Mvolz Will this task be available for Gsoc 2017 ?
Please add some microtasks. I'm interested in working on this.

Mvolz updated the task description. (Show Details)Jan 6 2017, 7:31 PM
Mvolz added a comment.Jan 8 2017, 11:49 AM

I just removed some microtasks that were done as part of GCI instead, I accidentally removed the one you already did (but added it back in :))

I'm not sure if it will be available this summer as we don't know that until the process starts more in earnest. In general though, as long as there are two mentors it will be available (and barring unforeseen circumstances, I will be one, not sure about the other.)

Mvolz added a subscriber: Reedy.Feb 9 2017, 12:49 PM

Needs additional mentors. @Reedy maybe? Your feedback on the project itself would be welcome too if not :). It's a little open-ended compared to some others.

Reedy added a comment.Feb 9 2017, 1:14 PM

I'd love to see the extension be dragged upto date :)

Is there enough work to make a GSoC task out of it?

I'd be happy to co-mentor some work on this definitely

Mvolz added a comment.EditedFeb 9 2017, 2:12 PM

Thanks! I think T148613 alone could probably be an entire GSoC/Outreachy project all by itself, so I think there's enough work here.

Mvolz updated the task description. (Show Details)Feb 9 2017, 2:12 PM
Mvolz updated the task description. (Show Details)
Mvolz moved this task from Needs Mentors to Featured on the Outreachy (Round-14) board.

I'm interested in working on this task for Outreachy 2017

Change 338042 had a related patch set uploaded (by BryanDavis):
Add role::quiz

https://gerrit.wikimedia.org/r/338042

Will this project be part of RGSoC 2017?
I'm interested in working on this project, but will be more suitable for the period July-September. Otherwise, I'll apply for Outreachy 2017.

Mvolz added a comment.EditedFeb 21 2017, 5:18 PM

@Kpdpeiris and @DenisaRucaj, thanks for your interest!

The project is available for both Outreachy round 14 and GSoC 2017. If you are eligible for both programs, you are encouraged to apply to both programs for the same project. The way selection works is that GSoC selection is done first, then Outreachy selection. I hope that clarifies things!

Currently I don't have any microtasks up that aren't completed, I'll look for some.

Mvolz updated the task description. (Show Details)Feb 21 2017, 5:40 PM
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)
Mvolz added a comment.Feb 21 2017, 5:44 PM

Ah, no, this is not availabe for Rails Girls Summer of Code, only for Outreachy and Google Summer of Code (missed the R there!)

D3r1ck01 added a comment.EditedFeb 27 2017, 7:04 PM

This is a nice and interesting project. I can start-off by;

  • Importing all the bugs related to this project (as sub-tasks) of this task. Or
  • Will it better if the bugs are created as parent tasks (tasks) themselves then tagged under quiz-extension?

@Reedy and @Mvolz, what are your suggestions about the above 2 ideas?
I will love to execute this project during GSoC#2017 :)

Hey mentors,

I am also interested in this project for GSoC2017.
The good thing is that this extension has a lot of possibilities for new features and improvements.

In the past week I have been looking at the code of the extension (and improving it a little bit) and I have found it to be quite dated: undocumented features, not so great coding and naming conventions and much more. This extension needs an overall work of refactoring and improvement before we can build new features on it.

Well, we could build new features straight away but that might turn out quite dangerous, especially if we would be working on the backend part of the extension.

What do you think if, for the next few weeks (and maybe even for a part of GSoC) we try to bring this extension code quality on par with other modern wikimedia's extensions? Especially I am looking at commenting the code, separating HTML from PHP, finding bugs or unexpcted behaviors, styling the components by the wikimedia style guide etc.

Also, do you know if, by any chance, two students could work on the same "big" project (in this case this extension) but on two different features? (for example one on the frontend and one on the backend)

Mvolz added a comment.EditedFeb 27 2017, 9:16 PM

@D3r1ck01 any bugs should be tagged with MediaWiki-extensions-Quiz. If you find something that's a suitable microtask you can put it the microtasks list in the description. Only applications should be created as sub tasks of this task.

@cristianbaldi feel free to create new phabricator tasks for bugs/tasks you find. I agree that updating the extension is a priority before building new features.

We won't be taking multiple students for this project. If there aren't enough projects available for this round of GSoC, one's best bet is too look through https://phabricator.wikimedia.org/project/view/1042/ and see if there are any projects that interest you that you can rustle up some mentors for. It's even possible to make up your own project. Of course, if you can't find mentors, then the project can't go ahead... so this can be risky.

Pine awarded a token.Feb 28 2017, 7:23 PM
Pine added a subscriber: Pine.
IACJ added a subscriber: IACJ.Mar 1 2017, 2:27 PM
Pine added a comment.EditedMar 10 2017, 11:45 PM

A note for applicants: if you are interested in this project but would also be willing to work on others, two other projects which I'd very much like to see move forward this year are https://phabricator.wikimedia.org/T87598 and https://phabricator.wikimedia.org/T91655. Hopefully at least one of those looks interesting to you as well, and hopefully a match can be made with a mentor.

Hi Mvolz and Sam Reedy. I wanted to work on this task as part of GSOC-2017. I have not been able to contact you guys via IRC so I was in touch with rageross. What is a proper channel where I can contribute and discuss pertinent issues with you?
Thankyou.

@Bkybala9 here is fine, or you can use conpherence https://phabricator.wikimedia.org/conpherence/. I'm on GMT so not always on IRC. Cheers!

Hi Mvolz and Sam Reedy.
I am interested in this task and would like to work on it as a part of GSOC-2017. I have not been able to contact you guys yet via IRC. Could you please tell me if there are any open issues now that I can start on ?

Thank You

Mvolz updated the task description. (Show Details)Mar 24 2017, 5:37 PM

T152293 was more of a macrotask than a microtask so I split it and added the subtasks as microtasks, although obviously first come first serve :). I'll have a look for some more.

Mvolz updated the task description. (Show Details)Mar 24 2017, 5:40 PM
Kamsuri5 removed a subscriber: Kamsuri5.Apr 18 2017, 4:10 AM

Hello! Thank you for featuring this project in the previous edition of Google Summer of Code. Did the student complete the project requirements? In any case, please help modify the task description and add/remove the tags accordingly. Thank you!

This comment was removed by srishakatux.

@Mvolz: If I interpret T160257 correctly this was worked on in GSoC 2017. Should this task T148969 and T160257 still be open or should they get resolved? Thanks!